# exclusionRuleInput

Input for exclusion rule configuration.

### Examples

```graphql
input ExclusionRuleInput {
  oxRuleId: OxExclusionId
  aggIds: [String!]
  cvesAndLibs: [CveAndLib!]
}
```

### Fields

| Field                                                                                                       | Description                                                                                      | Supported fields                                                                                   |
| ----------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------ | -------------------------------------------------------------------------------------------------- |
| oxRuleId [`OxExclusionId`](/api-documentation/api-reference/api--exclusions/types/enums/ox-exclusion-id.md) | Identifier for the exclusion rule type, if not provided Issue-based exclusion identifier applies |                                                                                                    |
| aggIds `[String!]`                                                                                          | List of aggregation IDs to exclude, if not provided will exclude all the issue aggregations      |                                                                                                    |
| cvesAndLibs [`[CveAndLib!]`](/api-documentation/api-reference/api--exclusions/types/inputs/cve-and-lib.md)  | cves and libs to exclude                                                                         | <p>cve <code>String!</code><br>libName <code>String!</code><br>libVersion <code>String!</code></p> |

### References

#### Fields with this object:

* [{} ExcludeAlertInput.rule](/api-documentation/api-reference/api--exclusions/types/inputs/exclude-alert-input.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--exclusions/types/inputs/exclusion-rule-input.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
